package com.cmvr.aima.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 爱玛测试日志类型枚举
 * 
 * @author cmvr-iot
 * @since 2026-06-22
 */
@Getter
@AllArgsConstructor
public enum AimaLogTypeEnum {
    TEXT(1, "文字"),
    IMAGE(2, "图片"),
    VIDEO(3, "视频"),
    AUDIO(4, "音频");

    private final int code;
    private final String desc;

    public static AimaLogTypeEnum fromCode(int code) {
        for (AimaLogTypeEnum type : values()) {
            if (type.code == code) {
                return type;
            }
        }
        return null;
    }
}
